Robotsystem from Robot Group Leipzig: SimplePhysicalComponent Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# SimplePhysicalComponent Class Reference

`#include <component2.h>`

Inheritance diagram for SimplePhysicalComponent:

[legend]
Collaboration diagram for SimplePhysicalComponent:

[legend]
List of all members.

## Detailed Description

SimplePhysicalComponent.

Definition at line 180 of file component2.h.

## Public Member Functions
| SimplePhysicalComponent (OdeHandle &r_ode_handle, dBodyID _body_id=NULL, dGeomID _geom_id=NULL)
void | set_body_id (dBodyID _body_id)
dBodyID | get_body_id () const
virtual void | set_geom_id (dGeomID _geom_id)
virtual dGeomID | get_geom_id () const
virtual const IComponent * | does_contain_geom (const dGeomID _geom_id, bool b_recursive) const
virtual bool | collision_callback (OdeHandle *p_ode_handle, dGeomID geom_id_0, dGeomID geom_id_1) const
virtual void | draw () const
## Protected Attributes
dBodyID | body_id
dGeomID | geom_id

## Constructor & Destructor Documentation

SimplePhysicalComponent | ( | OdeHandle & | r_ode_handle,
|  | dBodyID | _body_id = `NULL`,
|  | dGeomID | _geom_id = `NULL`
| ) |

| Definition at line 461 of file component.cpp.

## Member Function Documentation

bool collision_callback | ( | OdeHandle * | p_ode_handle,
|  | dGeomID | geom_id_0,
|  | dGeomID | geom_id_1
| ) | const`[virtual]`

| Definition at line 522 of file component.cpp.

const IComponent * does_contain_geom | ( | const dGeomID | _geom_id,
|  | bool | b_recursive
| ) | const`[virtual]`

| Reimplemented from AbstractComponent. Definition at line 564 of file component.cpp.

void draw | ( |  | ) | const`[virtual]`

| Definition at line 572 of file component.cpp.

dBodyID get_body_id | ( |  | ) | const

| Definition at line 477 of file component.cpp.

dGeomID get_geom_id | ( |  | ) | const`[virtual]`

| Definition at line 489 of file component.cpp.

void set_body_id | ( | dBodyID | _body_id | ) |

| Definition at line 471 of file component.cpp.

void set_geom_id | ( | dGeomID | _geom_id | ) | `[virtual]`

| Definition at line 483 of file component.cpp.

## Member Data Documentation

dBodyID body_id`[protected]`

| Definition at line 182 of file component2.h.

dGeomID geom_id`[protected]`

| Definition at line 183 of file component2.h.